---
title: Delete Queue Consumer
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Queues](https://developers.cloudflare.com/api/python/resources/queues)

[Consumers](https://developers.cloudflare.com/api/python/resources/queues/subresources/consumers)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete Queue Consumer

queues.consumers.delete(strconsumer\_id, ConsumerDeleteParams\*\*kwargs) -> [ConsumerDeleteResponse](<https://developers.cloudflare.com/api/python/resources/queues#(resource)%20queues.consumers%20%3E%20(model)%20consumer_delete_response%20%3E%20(schema)>)

DELETE/accounts/{account\_id}/queues/{queue\_id}/consumers/{consumer\_id}

Deletes a consumer from a Queue.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Queues Write``Workers Scripts Write`

##### ParametersExpand Collapse

account\_id: str

A Resource identifier.

maxLength32

[Link to this property](<#(resource)%20queues.consumers%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

queue\_id: str

A Resource identifier.

maxLength32

[Link to this property](<#(resource)%20queues.consumers%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20queue_id%20%3E%20(schema)>)

consumer\_id: str

A Resource identifier.

maxLength32

[Link to this property](<#(resource)%20queues.consumers%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20consumer_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class ConsumerDeleteResponse: …

</summary>

<details>

<summary>

errors: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/$shared#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)">ResponseInfo</a>]]

minLength1

</summary>

code: int

minimum1000

<a href="#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)%20%3E%20(property)%20code">Link to this property</a>

message: str

<a href="#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)%20%3E%20(property)%20message">Link to this property</a>

documentation\_url: Optional\[str]

<a href="#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)%20%3E%20(property)%20documentation_url">Link to this property</a>

<details>

<summary>

source: Optional\[Source]

</summary>

pointer: Optional\[str]

<a href="#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(property)%20pointer">Link to this property</a>

</details>

<a href="#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)%20%3E%20(property)%20source">Link to this property</a>

</details>

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer_delete_response%20%3E%20(schema)%20%3E%20(property)%20errors">Link to this property</a>

messages: Optional\[List\[str]]

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer_delete_response%20%3E%20(schema)%20%3E%20(property)%20messages">Link to this property</a>

success: Optional\[Literal\[true]]

Indicates if the API call was successful or not.

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer_delete_response%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

</details>

[Link to this property](<#(resource)%20queues.consumers%20%3E%20(model)%20consumer_delete_response%20%3E%20(schema)>)

### Delete Queue Consumer

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
consumer = client.queues.consumers.delete(
    consumer_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    queue_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(consumer.errors)
```

200 example

```
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "success": true
}
```